
Foreman - Bug #15712

rabl 0.13.0 breaks ruby 2.0 support

07/17/2016 07:32 PM - David Davis

Status: Closed   

Priority: Normal   

Assignee: David Davis   

Category: Packaging   

Target version: 1.11.4   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/3654

  

Description

Opened an issue against rabl:

https://github.com/nesquena/rabl/issues/669

Here's the full error in Jenkins:

18:27:57 rake aborted!

18:27:57 SyntaxError: /usr/local/rvm/gems/ruby-2.0.0-p353@test_develop_pr_core-2/gems/rabl-0.13.0/

lib/rabl/digestor.rb:6: syntax error, unexpected ','

18:27:57       def self.digest(name:, finder:, **options)

18:27:57                             ^

18:27:57 /usr/local/rvm/gems/ruby-2.0.0-p353@test_develop_pr_core-2/gems/rabl-0.13.0/lib/rabl/dige

stor.rb:31: syntax error, unexpected keyword_elsif, expecting keyword_end

18:27:57     elsif Gem::Version.new(Rails.version) >= Gem::Version.new('4.1')

18:27:57          ^

18:27:57 /usr/local/rvm/gems/ruby-2.0.0-p353@test_develop_pr_core-2/gems/rabl-0.13.0/lib/rabl/dige

stor.rb:60: syntax error, unexpected keyword_end, expecting end-of-input

18:27:57 /usr/local/rvm/gems/ruby-2.0.0-p353@test_develop_pr_core-2/gems/activesupport-4.2.6/lib/a

ctive_support/dependencies.rb:274:in `require'

18:27:57 /usr/local/rvm/gems/ruby-2.0.0-p353@test_develop_pr_core-2/gems/activesupport-4.2.6/lib/a

ctive_support/dependencies.rb:274:in `block in require'

18:27:57 /usr/local/rvm/gems/ruby-2.0.0-p353@test_develop_pr_core-2/gems/activesupport-4.2.6/lib/a

ctive_support/dependencies.rb:240:in `load_dependency'

18:27:57 /usr/local/rvm/gems/ruby-2.0.0-p353@test_develop_pr_core-2/gems/activesupport-4.2.6/lib/a

ctive_support/dependencies.rb:274:in `require'

18:27:57 /usr/local/rvm/gems/ruby-2.0.0-p353@test_develop_pr_core-2/gems/rabl-0.13.0/lib/rabl.rb:2

1:in `<top (required)>'

18:27:57 /usr/local/rvm/gems/ruby-2.0.0-p353@test_develop_pr_core-2/gems/bundler-1.12.5/lib/bundle

r/runtime.rb:86:in `require'

18:27:57 /usr/local/rvm/gems/ruby-2.0.0-p353@test_develop_pr_core-2/gems/bundler-1.12.5/lib/bundle

r/runtime.rb:86:in `block (2 levels) in require'

18:27:57 /usr/local/rvm/gems/ruby-2.0.0-p353@test_develop_pr_core-2/gems/bundler-1.12.5/lib/bundle

r/runtime.rb:81:in `each'

18:27:57 /usr/local/rvm/gems/ruby-2.0.0-p353@test_develop_pr_core-2/gems/bundler-1.12.5/lib/bundle

r/runtime.rb:81:in `block in require'

18:27:57 /usr/local/rvm/gems/ruby-2.0.0-p353@test_develop_pr_core-2/gems/bundler-1.12.5/lib/bundle

r/runtime.rb:70:in `each'

18:27:57 /usr/local/rvm/gems/ruby-2.0.0-p353@test_develop_pr_core-2/gems/bundler-1.12.5/lib/bundle

r/runtime.rb:70:in `require'

18:27:57 /usr/local/rvm/gems/ruby-2.0.0-p353@test_develop_pr_core-2/gems/bundler-1.12.5/lib/bundle

r.rb:102:in `require'

18:27:57 /var/lib/workspace/workspace/test_develop_pr_core/database/mysql/label/fast/ruby/2.0.0/co

nfig/application.rb:36:in `<top (required)>'

18:27:57 /var/lib/workspace/workspace/test_develop_pr_core/database/mysql/label/fast/ruby/2.0.0/Ra

kefile:1:in `require'
18:27:57 /var/lib/workspace/workspace/test_develop_pr_core/database/mysql/label/fast/ruby/2.0.0/Ra

kefile:1:in `<top (required)>'

18:27:57 /usr/local/rvm/gems/ruby-2.0.0-p353@test_develop_pr_core-2/gems/rake-11.2.2/exe/rake:27:i

n `<top (required)>'

18:27:57 /usr/local/rvm/gems/ruby-2.0.0-p353@test_develop_pr_core-2/bin/ruby_executable_hooks:15:i

n `eval'

18:27:57 /usr/local/rvm/gems/ruby-2.0.0-p353@test_develop_pr_core-2/bin/ruby_executable_hooks:15:i

n `<main>'

18:27:57 (See full trace by running task with --trace)

Related issues:

Related to Foreman - Refactor #17070: Unpin rabl for 0.13.1 Closed 10/24/2016

Associated revisions

Revision 5f54b3b1 - 07/18/2016 05:17 AM - David Davis

Fixes #15712 - Pinning rabl to less than 0.13

Revision 2d8f83ca - 07/22/2016 10:03 AM - David Davis

Fixes #15712 - Pinning rabl to less than 0.13

(cherry picked from commit 5f54b3b17a69f174647d1b3eeb7ea3caae8cb1c1)

Revision bbc1c0c4 - 07/22/2016 10:05 AM - David Davis

Fixes #15712 - Pinning rabl to less than 0.13

(cherry picked from commit 5f54b3b17a69f174647d1b3eeb7ea3caae8cb1c1)

History

#1 - 07/17/2016 07:33 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/3654 added

#2 - 07/17/2016 07:55 PM - David Davis

- Status changed from Ready For Testing to Rejected

Fixed already in https://github.com/nesquena/rabl/pull/668

#3 - 07/18/2016 03:18 AM - Dominic Cleal

- Category set to Packaging

- Status changed from Rejected to Ready For Testing

- translation missing: en.field_release set to 169

#4 - 07/18/2016 06:02 AM - David Davis

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 5f54b3b17a69f174647d1b3eeb7ea3caae8cb1c1.

#5 - 07/20/2016 01:24 PM - Brandon Weeks

Shouldn't this also go into 1.12.1?

#6 - 07/21/2016 02:54 AM - Dominic Cleal

Brandon Weeks wrote:

Shouldn't this also go into 1.12.1?

 Yes, it will, this is just the oldest release it'll be added to. The release field only works for one release, but when doing 1.12.1 I'll include anything in the

older release too.
#7 - 08/03/2016 06:12 AM - Tomer Brisker

- Related to Tracker #15954: Drop Ruby 2.0 support added

#8 - 10/24/2016 08:14 AM - Dominic Cleal

- Related to Refactor #17070: Unpin rabl for 0.13.1 added

#9 - 01/16/2017 05:00 AM - Dominic Cleal

- Related to deleted (Tracker #15954: Drop Ruby 2.0 support)
